Bug 979089 - [RFE] Please add version and release integer comparison
[RFE] Please add version and release integer comparison
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
2.1.1
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: pulp-bugs
Preethi Thomas
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 10:58 EDT by Laurent Bigonville
Modified: 2015-02-28 18:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 20:11:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 200 None None None Never

  None (edit)
Description Laurent Bigonville 2013-06-27 10:58:33 EDT
Description of problem:
There is no way to do integer comparison for the version and release

Version-Release number of selected component (if applicable):
2.1.1

How reproducible:
Always

Steps to Reproduce:
1. Run pulp-admin rpm repo content rpm --match 'name=^bar$' --gt 'release=1' --repo-id foo 
2. Look for the results

Actual results:
Nothing is returned

Expected results:
List of packages named foo with release bigger than 1

Additional info:
Comment 1 Brian Bouterse 2015-02-18 20:11:32 EST
Moved to https://pulp.plan.io/issues/200

Note You need to log in before you can comment on or make changes to this bug.